%define         sversion        %(echo %version |sed -e 's#\\.##')

%define         major           5
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %name -d
%define         develnamestatic %mklibname %name -d -s


Summary:        A library for accessing files in FITS format for C and Fortran
Name:           cfitsio
Version:        3.410
Release:        %mkrel 2
License:        BSD-like
Group:          System/Libraries

URL:            http://heasarc.gsfc.nasa.gov/docs/software/fitsio/
Source:         ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sversion}.tar.xz

#fix wrong version number in pc file (adds missing 0)
Patch1:         cfitsio-3.350-pkgconfig.patch

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-gfortran
%ifnarch %arm
BuildRequires:  quadmath-devel
%endif
BuildRequires:  pkgconfig(pkg-config)


%description
Cfitsio is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format.  Cfitsio simplifies the task of writing software that deals
with FITS files by providing an easy to use set of high-level routines
that insulate the programmer from the internal complexities of the
FITS file format.  At the same time, cfitsio provides many advanced
features that have made it the most widely used FITS file programming
interface in the astronomical community.


%package -n %{libname}
License:        BSD-like
Summary:        A library for accessing files in FITS format for C and Fortran
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared library required by programs that use
the cfitsio library.



%package -n %{develname}
License:        BSD-like
Summary:        Headers, libraries, & docs for the cfitsio library
Group:          Development/Libraries
Provides:       fitsio-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the headers required for compiling software that uses
the cfitsio library.



%package -n %{develnamestatic}
License:        BSD-like
Summary:        Static development file for the cfitsio library
Group:          Development/Libraries
Requires:       %{develname} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       lib%{name}-static-devel = %{version}-%{release}

%description -n %{develnamestatic}
This package contains the static files required for compiling software that uses
the cfitsio library.


%prep
%setup -q -n %{name}
%apply_patches

%build
autoreconf --force --install

# (cjw) ssse3 is not standard on x86-64 so it cannot be enabled at compile time
%configure2_5x \
               %ifarch x86_64
               --enable-sse2 \
               %endif
               --enable-reentrant

%make shared
%make fpack
%make funpack
%make fitscopy
%make imcopy



%install
rm -rf %buildroot
%makeinstall_std
%__install -D -m755 fpack %{buildroot}%{_bindir}/fpack
%__install -D -m755 funpack %{buildroot}%{_bindir}/funpack
%__install -D -m755 fitscopy %{buildroot}%{_bindir}/fitscopy
%__install -D -m755 imcopy %{buildroot}%{_bindir}/imcopy


%files
%{_bindir}/*


%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}*


%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%files -n %{develnamestatic}
%{_libdir}/*.a


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 3.410-2pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> 3.410-1pclos2017
- new version
- new gcc
